print("Starting lua user script")

dofile 'Tools.lua'


-- Services
Services = {}
dofile 'socket_service.lua'
dofile 'httpfile_service.lua'

function runServices()
	for name, service in pairs(Services) do
		service.service()
	end
end

function nspire_send_string(str)
	for i=1, #str do
		nspire_send_char(str:byte(i))
	end
end


function get_data_from_nspire()
	local data = nspire_get()
	if data then
		print("Nspire", data)
		--sock:send(data .. "\r\n")
		local d = data:split(" ", 2)
		if Services[d[1]] then
			Services[d[1]].get(d[2], d[3])
		else
			print("Nspire request not understood")
		end
	end
end



while true do
	msleep(400)
	get_data_from_nspire()
	runServices()
end


