function nspire_refresh_libs()
	nspire_send_key(0, 254, 0)  -- Press 'doc'
	nspire_send_string("6")     -- Press '6'
end

function sendCacheFile(url)
	local r=os.execute("wget -U \"TinyWeb Nspire\" " .. url .." -O cache.http && lua createdatacontainer.lua")
	if r == 0 then
		nspire_send_file("cache.tns", "MyLib")
		nspire_send_key(13, 16, 0)
		nspire_refresh_libs()
		return true
	else
		return false
	end
end

function httpfile_service() end

function httpfile_service_get(order, data)
	if order == "GET" then
		local r = sendCacheFile(data)
		
		if r then
			nspire_send("HF 1") -- success
		else
			nspire_send("HF 0") -- failure
		end
	else
		print("Unknown HTTPFILE request", order, data)
	end
end

Services["HTTPFILE"] = {get=httpfile_service_get, service=httpfile_service}
